﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace XamDataGridSubGrid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }
    public class Element
    {
        public Element(string uid, string entityName, string reasonName, string pocketName, string notes, ObservableCollection<SubElement> childElement)
        {
            this.uid = uid;
            this.entityName = entityName;
            this.reasonName = reasonName;
            this.pocketName = pocketName;
            this.notes = notes;
            this.childElement = childElement;
        }
        private string uid;
        public string UID
        {
            get { return uid; }
            set { uid = value; }
        }

        private string entityName;
        public string EntityName
        {
            get { return entityName; }
            set { entityName = value; }
        }
        private string reasonName;
        public string ReasonName
        {
            get { return reasonName; }
            set { reasonName = value; }
        }
        private string pocketName;
        public string PocketName
        {
            get { return pocketName; }
            set { pocketName = value; }
        }
        private string notes;
        public string Notes
        {
            get { return notes; }
            set { notes = value; }
        }
        public ObservableCollection<SubElement> childElement;
        public ObservableCollection<SubElement> ChildElements
        {
            get { return childElement; }
            set { childElement = value; }
        }
    }
    public class SubElement
    {
        public SubElement(string financialAccount)
        {
            this.financialAccount = financialAccount;
        }

        private string financialAccount;
        public string FinancialAccount
        {
            get { return financialAccount; }
            set { financialAccount = value; }
        }
    }
    public class DeviceElements : ObservableCollection<Element>
    {
        public ObservableCollection<Element> GetCollection()
        {
           
                ObservableCollection<SubElement> child1 = new ObservableCollection<SubElement>
                 {
                    new SubElement("Account1"),
                    new SubElement("Account1")
                 };

                ObservableCollection<Element> parent1 = new ObservableCollection<Element>
                 {
                    new Element("1", "Entity1", "Reason1", "Pocket1", "Notes1", child1),
                    new Element("2", "Entity2", "Reason2", "Pocket2", "Notes2", child1),
                    new Element("3", "Entity3", "Reason3", "Pocket3", "Notes3", child1),
                    new Element("4", "Entity4", "Reason4", "Pocket4", "Notes4", child1)
                 };
                return parent1;
        }
    }
}
